---
title: CSSStyleSheet.rules
slug: Web/API/CSSStyleSheet/rules
tags:
  - API
  - CSS
  - CSSOM
  - CSSOM API
  - CSSStyleSheet
  - Layout
  - Object Model
  - Obsolete
  - Property
  - Read-only
  - Reference
  - Style
  - StyleSheet
  - legacy
---
<p>{{APIRef("CSSOM")}}{{obsolete_header}}</p>

<p><span class="seoSummary"><code><strong>rules</strong></code> is a <em>deprecated</em> <em>legacy property</em> of the {{domxref("CSSStyleSheet")}} interface. Functionally identical to the preferred {{domxref("CSSStyleSheet.cssRules", "cssRules")}} property, it provides access to a live-updating list of the CSS rules comprising the stylesheet.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> As a legacy property, you not use <code>rules</code> and should instead use the preferred {{domxref("CSSStyleSheet.cssRules", "cssRules")}}. While <code>rules</code> is unlikely to be removed soon, its availability is not as widespread and using it will result in compatibility problems for your site or app.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>rules</em> = <em>cssStyleSheet</em>.rules;</pre>

<h3 id="Value">Value</h3>

<p>A live-updating {{domxref("CSSRuleList")}} containing each of the CSS rules making up the stylesheet. Each entry in the rule list is a {{domxref("CSSRule")}} object describing one rule making up the stylesheet.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-cssstylesheet-rules", 'CSSStyleSheet.rules')}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleSheet.rules")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model">CSS Object Model</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model/Using_dynamic_styling_information">Using dynamic styling information</a></li>
</ul>
